Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 227758 - Entering bad password when creating a new cluster = UnboundLocalError: local variable 'e' referenced before assignment
Summary: Entering bad password when creating a new cluster = UnboundLocalError: local ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: conga
Version: 5.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Ryan McCabe
QA Contact: Corey Marthaler
URL:
Whiteboard:
Depends On:
Blocks: 236025
TreeView+ depends on / blocked
 
Reported: 2007-02-07 22:42 UTC by Ryan McCabe
Modified: 2009-04-16 22:42 UTC (History)
6 users (show)

Fixed In Version: RHSA-2007-0640
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-11-07 15:37:07 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2007:0640 normal SHIPPED_LIVE Moderate: conga security, bug fix, and enhancement update 2007-11-08 14:19:24 UTC

Description Ryan McCabe 2007-02-07 22:42:34 UTC
+++ This bug was initially created as a clone of Bug #227723 +++

Description of problem:
Entering bad password when creating a new cluster = UnboundLocalError: local
variable 'e' referenced before assignment

Version-Release number of selected component (if applicable):
luci-0.8-30.el5
ricci-0.8-30.el5

How reproducible:
100%

Steps to Reproduce:
1. Create a new cluster via the luci web app
2. Enter an invalid password for the nodes
3. Observe the error listed below
  
Actual results:
See below

Expected results:
The error should be trapped (as missing passwords are)

Additional info:

luci:

Site error

This site encountered an error trying to fulfill your request. The errors were:

Error Type
    UnboundLocalError
Error Value
    local variable 'e' referenced before assignment
Request made at
    2007/02/07 12:44:12.938 US/Central

------------------------------------------------------
/var/log/messages:

Feb  7 12:44:12 tng3-5 saslauthd[2557]: do_auth         : auth failure:
[user=root] [service=ricci] [realm=] [mech=pam] [reason=PAM auth error]

------------------------------------------------------

/var/lib/luci/log/event.log

------
2007-02-07T12:46:07 ERROR Zope.SiteErrorLog
http://tng3-5.lab.msp.redhat.com:8080/luci/cluster/index_html
Traceback (innermost last):
  Module ZPublisher.Publish, line 115, in publish
  Module ZPublisher.mapply, line 88, in mapply
  Module ZPublisher.Publish, line 41, in call_object
  Module Shared.DC.Scripts.Bindings, line 311, in __call__
  Module Shared.DC.Scripts.Bindings, line 348, in _bindAndExec
  Module Products.PageTemplates.ZopePageTemplate, line 255, in _exec
  Module Products.PageTemplates.PageTemplate, line 104, in pt_render
   - <ZopePageTemplate at /luci/cluster/index_html>
  Module TAL.TALInterpreter, line 238, in __call__
  Module TAL.TALInterpreter, line 281, in interpret
  Module TAL.TALInterpreter, line 728, in do_defineMacro
  Module TAL.TALInterpreter, line 281, in interpret
  Module TAL.TALInterpreter, line 457, in do_optTag_tal
  Module TAL.TALInterpreter, line 442, in do_optTag
  Module TAL.TALInterpreter, line 437, in no_tag
  Module TAL.TALInterpreter, line 281, in interpret
  Module TAL.TALInterpreter, line 780, in do_defineSlot
  Module TAL.TALInterpreter, line 281, in interpret
  Module TAL.TALInterpreter, line 715, in do_condition
  Module TAL.TALInterpreter, line 281, in interpret
  Module TAL.TALInterpreter, line 780, in do_defineSlot
  Module TAL.TALInterpreter, line 281, in interpret
  Module TAL.TALInterpreter, line 457, in do_optTag_tal
  Module TAL.TALInterpreter, line 442, in do_optTag
  Module TAL.TALInterpreter, line 437, in no_tag
  Module TAL.TALInterpreter, line 281, in interpret
  Module TAL.TALInterpreter, line 749, in do_useMacro
  Module TAL.TALInterpreter, line 281, in interpret
  Module TAL.TALInterpreter, line 457, in do_optTag_tal
  Module TAL.TALInterpreter, line 442, in do_optTag
  Module TAL.TALInterpreter, line 437, in no_tag
  Module TAL.TALInterpreter, line 281, in interpret
  Module TAL.TALInterpreter, line 749, in do_useMacro
  Module TAL.TALInterpreter, line 281, in interpret
  Module TAL.TALInterpreter, line 511, in do_setGlobal_tal
  Module Products.PageTemplates.TALES, line 221, in evaluate
   - URL: /luci/cluster/portlet_cluconfig
   - Line 10, Column 0
   - Expression: <PythonExpr here.createCluChooser(request, clusystems)>
   - Names:
      {'container': <Folder at /luci/cluster>,
       'context': <Folder at /luci/cluster>,
       'default': <Products.PageTemplates.TALES.Default instance at 0xb75a926c>,
       'here': <Folder at /luci/cluster>,
       'loop': <Products.PageTemplates.TALES.SafeMapping object at 0xdf5662c>,
       'modules': <Products.PageTemplates.ZRPythonExpr._SecureModuleImporter
instance at 0xb754bdec>,
       'nothing': None,
       'options': {'args': ()},
       'repeat': <Products.PageTemplates.TALES.SafeMapping object at 0xdf5662c>,
       'request': <HTTPRequest,
URL=http://tng3-5.lab.msp.redhat.com:8080/luci/cluster/index_html>,
       'root': <Application at >,
       'template': <ZopePageTemplate at /luci/cluster/index_html>,
       'traverse_subpath': [],
       'user': <PropertiedUser 'admin'>}
  Module Products.PageTemplates.ZRPythonExpr, line 47, in __call__
   - __traceback_info__: here.createCluChooser(request, clusystems)
  Module Python expression "here.createCluChooser(request, clusystems)", line 1,
in <expression>
  Module Products.ExternalMethod.ExternalMethod, line 232, in __call__
   - __traceback_info__: ((<HTTPRequest,
URL=http://tng3-5.lab.msp.redhat.com:8080/luci/cluster/index_html>, []), {}, None)
  Module /var/lib/luci/Extensions/cluster_adapters.py, line 2018, in
createCluChooser
  Module /var/lib/luci/Extensions/cluster_adapters.py, line 2011, in validatePost
  Module /var/lib/luci/Extensions/cluster_adapters.py, line 227, in
validateCreateCluster
  Module /var/lib/luci/Extensions/cluster_adapters.py, line 162, in
parseClusterNodes
UnboundLocalError: local variable 'e' referenced before assignment

-- Additional comment from kupcevic@redhat.com on 2007-02-07 16:50 EST --
This issue appears in HEAD and 4.5 as well


-- Additional comment from rmccabe@redhat.com on 2007-02-07 17:03 EST --
Fixed in HEAD and RHEL4

Comment 2 RHEL Product and Program Management 2007-03-21 22:08:12 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 4 Kiersten (Kerri) Anderson 2007-04-23 17:05:41 UTC
Fixing Product Name.  Cluster Suite was merged into Enterprise Linux for version
5.0.

Comment 7 errata-xmlrpc 2007-11-07 15:37:07 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2007-0640.html



Note You need to log in before you can comment on or make changes to this bug.